SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - g -

- get_extents : SUOverlayCreateInfo
- GetDescription() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- GetFileExtension() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- GetFileExtensionCount() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- GetIdentifier() : SketchUpModelExporterInterface , SketchUpModelImporterInterface
- GetImporterBehavior() : SketchUpModelImporterInterface
- green : SUColor
- green_index : SUColorOrder
- SUGeometryInputAddArcCurve() : SUGeometryInputRef
- SUGeometryInputAddCurve() : SUGeometryInputRef
- SUGeometryInputAddEdge() : SUGeometryInputRef
- SUGeometryInputAddFace() : SUGeometryInputRef
- SUGeometryInputAddVertex() : SUGeometryInputRef
- SUGeometryInputCreate() : SUGeometryInputRef
- SUGeometryInputEdgeSetHidden() : SUGeometryInputRef
- SUGeometryInputEdgeSetLayer() : SUGeometryInputRef
- SUGeometryInputEdgeSetMaterial() : SUGeometryInputRef
- SUGeometryInputEdgeSetSmooth() : SUGeometryInputRef
- SUGeometryInputEdgeSetSoft() : SUGeometryInputRef
- SUGeometryInputFaceAddInnerLoop() : SUGeometryInputRef
- SUGeometryInputFaceSetBackMaterial() : SUGeometryInputRef
- SUGeometryInputFaceSetBackMaterialByPosition() : SUGeometryInputRef
- SUGeometryInputFaceSetFrontMaterial() : SUGeometryInputRef
- SUGeometryInputFaceSetFrontMaterialByPosition() : SUGeometryInputRef
- SUGeometryInputFaceSetHidden() : SUGeometryInputRef
- SUGeometryInputFaceSetLayer() : SUGeometryInputRef
- SUGeometryInputFaceSetReverse() : SUGeometryInputRef
- SUGeometryInputGetCounts() : SUGeometryInputRef
- SUGeometryInputRelease() : SUGeometryInputRef
- SUGeometryInputSetVertices() : SUGeometryInputRef
- SUGetColorOrder() : SUColorOrder
- SUGetExtensionLicense() : SUExtensionLicense
- SUGroupCreate() : SUGroupRef
- SUGroupFromComponentInstance() : SUGroupRef
- SUGroupFromDrawingElement() : SUGroupRef
- SUGroupFromEntity() : SUGroupRef
- SUGroupGetDefinition() : SUGroupRef
- SUGroupGetEntities() : SUGroupRef
- SUGroupGetGuid() : SUGroupRef
- SUGroupGetName() : SUGroupRef
- SUGroupGetTransform() : SUGroupRef
- SUGroupSetGuid() : SUGroupRef
- SUGroupSetName() : SUGroupRef
- SUGroupSetTransform() : SUGroupRef
- SUGroupToComponentInstance() : SUGroupRef
- SUGroupToDrawingElement() : SUGroupRef
- SUGroupToEntity() : SUGroupRef
- SUGuideLineCreateFinite() : SUGuideLineRef
- SUGuideLineCreateInfinite() : SUGuideLineRef
- SUGuideLineFromDrawingElement() : SUGuideLineRef
- SUGuideLineFromEntity() : SUGuideLineRef
- SUGuideLineGetData() : SUGuideLineRef
- SUGuideLineRelease() : SUGuideLineRef
- SUGuideLineToDrawingElement() : SUGuideLineRef
- SUGuideLineToEntity() : SUGuideLineRef
- SUGuidePointCreate() : SUGuidePointRef
- SUGuidePointFromDrawingElement() : SUGuidePointRef
- SUGuidePointFromEntity() : SUGuidePointRef
- SUGuidePointGetDisplayAsLine() : SUGuidePointRef
- SUGuidePointGetFromPosition() : SUGuidePointRef
- SUGuidePointGetPosition() : SUGuidePointRef
- SUGuidePointRelease() : SUGuidePointRef
- SUGuidePointToDrawingElement() : SUGuidePointRef
- SUGuidePointToEntity() : SUGuidePointRef